import Path, { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from "tvrender/lib/core/PathProxy.js";
import { DynamicTypedArray } from '../../util/DynamicTypedArray.js';
declare class MarkPathShape {
    typeArray: DynamicTypedArray;
}
interface MarkPathProps extends PathProps {
    shape?: Partial<MarkPathShape>;
}
declare class MarkPath extends Path<MarkPathProps> {
    readonly type = "markPath";
    shape: MarkPathShape;
    constructor(opts?: MarkPathProps);
    getDefaultShape(): MarkPathShape;
    buildPath(ctx: PathProxy, shape: MarkPathShape): void;
}
export default MarkPath;
